Subject: Re: bug#58554: Bash functions with hyphen not showing up in speedbar

From: Heime <[email-masked]>
Date: Sun, 16 Oct 2022 16:56:58 +0000

------- Original Message -------
On Sunday, October 16th, 2022 at 6:15 AM, Werner LEMBERG <[email-masked]> wrote:

> > > Please stop reporting duplicate bug reports. It is a waste of time
> > > and energy. It also makes it much more likely that your bug reports
> > > will simply be ignored in the future. Thanks in advance.
> > 
> > Ignoring bug reports as act of spite. Is this a new trend?
> 
> 
> You are missing the point. Saying 'ping' to a bug report is fully
> valid – and even quite useful so that the Emacs maintainers know that
> there is still interest in resolving the problem at hand. Doing this
> without referring to the original bug report number creates a new
> report, which means more administrative work nobody really likes to
> do, and which becomes annoying if this happens repeatedly. And yes,
> such annoyance eventually leads to ignoring a bug report, which
> essentially means that the report's priority is set to a very low
> value.
> 
> Please always bear in mind that maintaining Emacs is an unpaid job
> done in spare time for fun. Fixing bugs is especially unthankful, and
> being annoyed reduces the fun factor enormously.

> Werner

Shall keep your comments in mind.  Have heard people here screaming about 
wanting to get paid.  It is a shame that people contribute to the project
when they are still in a survival situation.  To work with love and devotion,
one has to raise oneself beyond survival to be a contributing member of society.

As for myself, fixing bugs is the most rewarding part.  Have been involved in
marshaling the fixing bugs for many years in industrial settings.  But here people
do not seem to be at ease.